apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: centos-stream9-sapphire-canidae-66
  namespace: default
spec:
  dataVolumeTemplates:
    - metadata:
        name: centos-stream9-sapphire-canidae-66-volume
      spec:
        sourceRef:
          kind: DataSource
          name: centos-stream9
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 30Gi
  instancetype:
    name: u1.medium
  preference:
    name: centos.stream9
  runStrategy: Always
  template:
    metadata:
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      domain:
        devices:
          autoattachPodInterface: false
          disks:
            - bootOrder: 1
              name: rootdisk
          interfaces:
            - masquerade: {}
              name: default
      networks:
        - name: default
          pod: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: centos-stream9-sapphire-canidae-66-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: 1cck-9ulo-yryr
              user: centos
          name: cloudinitdisk
